(Topic ID: 48555)

LOTR update


By DEN

6 years ago



Topic Stats

  • 18 posts
  • 12 Pinsiders participating
  • Latest reply 5 years ago by BestShot31
  • Topic is favorited by 3 Pinsiders

You

Linked Games

Topic Gallery

There have been 4 images uploaded to this topic. (View topic image gallery).

photo.JPG
CAM00779.jpg
CAM00671.jpg
CAM00670.jpg

#1 6 years ago

Hi guys, just got me LOTR.
I really love this game.
A friend told me it was old cpu version, 6.0. a version 10.0 is avalible.
He got a eprom burner, he told me its was a big ic (1mb) he burned the latest version.
I just got it home and did put it in the cpu slot, and i remembered tu turn it correct, (the hack downwords)
turned the game on, and alle bulbs start blinking, totallly odd.
Pus the ole one in again, and it wotks, what did go wrong, any ideas?

AND also i just found a little piece of plastic thats called -43 can someone tale a pic, and shop me where it should go? it was in the cabinet

#2 6 years ago

I think 10 is for the LE version.

#3 6 years ago

Nope, 10.0 is for the standard. 10.02 is for the LE.

This part I'm not certain about, but I think you'll also need a v10 display ROM to go with the 10.0 CPU ROM.

Edit:

OK, I just looked this up, and Mr ROM (John Wart Jr.) said this:

You need to upgrade the CPU and Display ROMS together. The "effect #" errors
are caused by having different CPU and Display levels in the game. On
DE/Sega/Stern, it's important to always have the same major CPU and Display
Rev.

It's OK to have a 5.13 CPU and a 5.00 display, but if you have access to a
programmer, it's a no brainer - upgrade them both to the latest.

However, it also sounds like the problems from mismatched ROMs are different than what you're seeing. The best info I've found on the blinking lights say that you may need to reseat the ribbon cables in your game.

#4 6 years ago

If you have any thoughts of ever installing a shaker motor in your LOTR, go right for the 10.02 ROM and 10.0 Display Rom. You would also need the LOTR LE PAL 10.02 chip as well from pinbits.com. You can still use this combo of Roms/PAL even if you don't install the shaker motor.

And yes, your display rom and game rom must be the same version.

#5 6 years ago
Quoted from brucipher:

You can still use this combo of Roms/PAL even if you don't install the shaker motor.

Yep, this is the combo I'm running on mine now, with intentions of adding a shaker soon. Be aware though, that there are cases of audio glitches when using v10.02 with the PAL. A guy on here recently suggested that also updating the sound OS to v8 fixed these glitches, and so far, I agree. I updated to sound OS8, and I have heard no unwanted sounds since then.

If your buddy has a ROM programmer, he should be able to help you with all of this except the PAL.

#6 6 years ago
Quoted from brucipher:

If you have any thoughts of ever installing a shaker motor in your LOTR, go right for the 10.02 ROM and 10.0 Display Rom. You would also need the LOTR LE PAL 10.02 chip as well from pinbits.com. You can still use this combo of Roms/PAL even if you don't install the shaker motor.
And yes, your display rom and game rom must be the same version.

+1

I upgraded to the v10 before I knew about the 10.02. The ROM is pretty cheap overall and well worth the upgrade, IMO.

#7 6 years ago

i have upgraded my lotr from 4.1 to 10.0 it is very well worth the upgrade! new sounds, a lot of bugs are fixed and the biggest bug, the overheating flippers issue after long playing times is also fixed.

I also learn about the 10.2 le version after i upgraded to 10.0 so i recommend to upgrade to 10.2 so if you want to add a shaker motor in the future you can do so without changing them again.

#8 6 years ago

My display is allready v10.
About the ribbon cabels, when i put in the old 6.0again it worked all fine

CAM00670.jpg CAM00671.jpg

#9 6 years ago

Also i love the game as it is now, is there major difference between 6.0 and 10.0
Is it worth it? I am not planning on a shaker motor.
Anybody know where to put plastic 43

#10 6 years ago
Quoted from DEN:

Also i love the game as it is now, is there major difference between 6.0 and 10.0
Is it worth it? I am not planning on a shaker motor.
Anybody know where to put plastic 43

What does plastic 43 look like?

#11 6 years ago

Your friend could have used the wrong chip to burn your file - or had a problem. Its the chip not the game. You can find the revision history in the stern library. However, the flipper fix is a big one for sure.

#13 6 years ago

Pic here

CAM00779.jpg

11 months later
#14 5 years ago

I have the same problem. The game is from Italy and asked me if i could help him. I programmed Cpu with lotrcpua.a00 and dispaly with lotrdspa.a00 . He had 5.01 cpu in the game when he got it. When he put the displayrom in the game it works fine and now it is in english but when he puts in the cpu the game just starts blinking. I have tryed 2 different roms. They where old roms from my williams games if that makes a ddifference i have eerased them and when i program them everything seems ok

#15 5 years ago

That -43 Plastic goes behind the Ringwraith on/above the right ramp. If you need a pic…..

#16 5 years ago

Here is the best one I could get:

photo.JPG
#17 5 years ago

rastaman, are you using a 27c010 or 27c1001 for the CPU ROM?

If not, that's the problem.

#18 5 years ago

Does anyone have more info on the PAL installation, including sending this to another link?

Promoted items from the Pinside Marketplace
From: $ 119.99
Lighting - Backbox
Rock Custom Pinball

Hey there! Got a moment?

Great to see you're enjoying Pinside! Did you know Pinside is able to run thanks to donations from our visitors? Please donate to Pinside, support the site and get anext to your username to show for it! Donate to Pinside